%define upstream_name    MooseX-Types-LoadableClass
%define upstream_version 0.014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    ClassName type constraint with coercion to load the class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load) >= 0.60.0
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types) >= 0.220.0
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%{?perl_default_filter}

%description
    use Moose::Util::TypeConstraints;

    my $tc = subtype as ClassName;
    coerce $tc, from Str, via { Class::MOP::load_class($_); $_ };

I've written those three lines of code quite a lot of times, in quite a lot
of places.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-3.mga6
+ Revision: 1030702
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.14.0-2.mga6
+ Revision: 969386
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.14.0-1.mga6
+ Revision: 868599
- update to 0.014

* Mon Jun 22 2015 sander85 <sander85> 0.13.0-1.mga6
+ Revision: 839396
- update to 0.013

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 744576
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.12.0-3.mga5
+ Revision: 735867
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-2.mga5
+ Revision: 685584
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 sander85 <sander85> 0.12.0-1.mga5
+ Revision: 588156
- update to 0.012

* Mon Oct 21 2013 umeabot <umeabot> 0.11.0-2.mga4
+ Revision: 539102
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 0.11.0-1.mga4
+ Revision: 491416
- update to 0.011

* Sun Sep 08 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 476372
- update to 0.010

* Wed Jun 26 2013 jquelin <jquelin> 0.9.0-1.mga4
+ Revision: 447056
- update to 0.009

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 370349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.8.0-1.mga3
+ Revision: 255172
- update to 0.008

* Thu Feb 23 2012 jquelin <jquelin> 0.7.0-1.mga2
+ Revision: 213446
- adding missing buildrequires:
- update to 0.007
- adding missing buildrequires:
- update to 0.006

* Tue Jan 25 2011 jquelin <jquelin> 0.5.0-1.mga1
+ Revision: 38652
- mageia rebuild
- imported package perl-MooseX-Types-LoadableClass


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 602091
- import perl-MooseX-Types-LoadableClass

